Subject: Re: [E2ee] Draft-e2ee-definition presented to openpgp

From: Vittorio Bertola <[email-masked]>
Date: Wed, 13 Apr 2022 15:02:52 +0200 (CEST)

> Il 21/03/2022 13:18 Mallory Knodel <[email-masked]> ha scritto:
> 
> 
> 
> 
> 
> Hi all,
> 
> 
> This morning I presented the draft [0] to openpgp with these slides [1].
> 
> 
> Big thanks for the feedback in the session, and an additional request for reviews on this document. You can open issues and PRs [2], or you can reply to the [email-masked] <mailto:[email-masked]> list with your review. I finally had the time to go through this document and here is my initial review.

§2.2: This text is quite convoluted :) Anyway, I'll point out that there are two conditions for the lower layer endpoints to be acceptable as a replacement for the "end identity"; one, as pointed out, is that no third party can access the communications across the layers; another one, however, is that whoever supplies the software and applications that implement those lower layer endpoints acts in the full interest of the user, without doing any additional data processing or sharing than just passing data up and down the stack. This is somewhat hinted at at the end of 2.1, but it would be necessary to deal with it in 2.2 as well; otherwise, the "lower layer end-to-end encrypted communication" cannot at all be equated with "end-to-end encryption".

(I was wondering if we should try to introduce different terms for "end-user-to-end-user encryption" and "endpoint-software-to-endpoint-software encryption". If we found good ones, this could actually help in making users aware of this very important difference, and of the requirement of being able to fully trust their communication apps.)

§2.3: Perhaps there should be some discussion of endpoint authentication, which should be provided by the encryption mechanism. If you securely encrypt your communications to the wrong endpoint, can we still call this "end-to-end encryption"? Technically, yes, but substantially?

§4.2: I found the reference to "user expectations" a too weak proxy for the idea that a system is trustworthy if it acts in the interest of the end-user only. Many of the surveillance capitalism companies claim that their users actually expect to be tracked, profiled and sold to third parties as this will provide them with a "better, customised service"; or that users should expect to be tracked since this is what they agreed to at page 37 of a 52-page fine print T&Cs document that they have to scroll through and accept to access the service. It should be clear that providers behaving this way are not trustworthy. It should also be clear that "user expectations" should only be defined by the users and not by any other party claiming to speak for them.

§4.3: I am confused. We seem to say that access to content intended for an e2ee communication by any party which is not the two humans that are communicating breaks e2ee, even if it happens before the content is encrypted or after it is decrypted, so even if it technically does not break the encryption. I can share this view, but then, the "not-fully-benevolent communications provider" problem is also fully in scope and should be addressed more extensively throughout the document.

I am wondering if we should, as part of reality, recognize that there will be legal requirements that may make it unavoidable for the app to share or screen content at this stage, and in this case at least advocate some damage limitation measures such as transparency and accountability of the mechanism. However this is supposed to be a definitions document, so perhaps this would be out of scope.

In general, I would like this section to have an additional para devoted to an explicit analysis of the user expectation that the content and metadata of their communications are not used to profile them. (I'd work on text if useful.)

Hope this is useful and thanks for working on this document.

--

Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked] <mailto:[email-masked]>
Office @ Via Treviso 12, 10144 Torino, Italy